
From: Andrey Borzenkov <arvidjaar@mail.ru>

The floppy driver doesn't remove /dev/floppy when floppy_init fails.


 drivers/block/floppy.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/block/floppy.c~floppy_init drivers/block/floppy.c
--- 25/drivers/block/floppy.c~floppy_init	2003-08-10 02:31:15.000000000 -0700
+++ 25-akpm/drivers/block/floppy.c	2003-08-10 02:31:15.000000000 -0700
@@ -4409,6 +4409,7 @@ fail_queue:
 out:
 	for (i=0; i<N_DRIVE; i++)
 		put_disk(disks[i]);
+	devfs_remove("floppy");
 	return err;
 
 Enomem:

_
